import matplotlib.pyplot as plt
import pandas as pd
import numpy as np
import seaborn as sns

iris = sns.load_dataset("iris")
sns.set_style("whitegrid", rc={ 'font.family': ['fantasy']})
sns.set_context("notebook", font_scale=1.5)
sp = sns.scatterplot(x='sepal_length', y='petal_length',
                     hue="species", data=iris)
sp.legend(loc='center right',
          bbox_to_anchor=(1.5, 0.5), ncol=1)

plt.show()
